/*
	Menu
		- positioning and sizing
*/
html.mmenu-opened,
html.mmenu-opened body
{
	height: 100%;
	width: 100%;
	overflow: hidden;
}
html.mmenu-opened body
{
	position: relative;
}
.mmenu
{
	display: none;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	right: 0;
	z-index: 0;
	overflow: auto;
	overflow-x: hidden;
	overflow-y: auto;
	margin-top:45px;
	-webkit-overflow-scrolling: touch;
}
.mmenu,
.mmenu *
{
	-webkit-text-size-adjust: none;
	font-family: Arial, Helvetica, Garuda, sans-serif;
	font-size: 14px;
}
.mmenu ul,
.mmenu li,
.mmenu li > a,
.mmenu li > span
{
	display: block;
	padding: 0;
	margin: 0;
}
.mmenu > ul
{
	padding: 10px 0 40px 0;
}
.mmenu .mmenu-hidden
{
	display: none;
}
html.mmenu-left .mmenu > ul > li
{
	/*padding-right: 65px;*/
}
html.mmenu-right .mmenu > ul > li
{
	padding-right: 65px;
}
html.mmenu-opened .mmenu.mmenu-opened
{
	display: block;
}
html.mmenu-opened .mmenu-page
{
	box-shadow: 0 0 20px rgba( 0, 0, 0, 0.8 );
	background-color: inherit;
	min-height: 100%;
	position: absolute;
	z-index: 1;

	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
#mmenu-blocker
{
	display: none;
}
html.mmenu-opened #mmenu-blocker
{
	background: rgba( 255, 255, 255, 0.1 );
	display: block;
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	z-index: 2;
}
html.mmenu-opened .mmenu-page,
html.mmenu-opened #mmenu-blocker
{
	-webkit-transition: right 0.5s ease, right 0.5s ease, margin 0.5s ease;
	-moz-transition: right 0.5s ease, right 0.5s ease, margin 0.5s ease;
	transition: right 0.5s ease, right 0.5s ease, margin 0.5s ease;
}
html.mmenu-left.mmenu-opened .mmenu-page,
html.mmenu-left.mmenu-opened #mmenu-blocker
{
	margin-right: 0px;
	right: 0%;
}
html.mmenu-left.mmenu-opening .mmenu-page,
html.mmenu-left.mmenu-opening #mmenu-blocker
{
	margin-right: -65px;
	right: 100%;
}
html.mmenu-right.mmenu-opened .mmenu-page,
html.mmenu-right.mmenu-opened #mmenu-blocker
{
	margin-left: 0px;
	left: 0%;
}
html.mmenu-right.mmenu-opening .mmenu-page,
html.mmenu-right.mmenu-opening #mmenu-blocker
{
	margin-left: -65px;
	left: 100%;
}



/*
	Menu
		- styling
*/
.mmenu
{
	background: transparent;
}

.mmenu li
{
	border: none;
	border-bottom: 1px solid #eee;
	position: relative;
}
.mmenu li:first-child
{
	border-top-width: 0;
}
.mmenu li > a,
.mmenu li > span
{
	text-indent: 20px;
	text-overflow: ellipsis;
	white-space: nowrap;
	line-height: 40px;
	overflow: hidden;
	padding-right: 5px;
	padding-left: 65px;
}
.mmenu li > a,
.mmenu li > span
{
	color: #333;
	text-decoration: none;
}
.mmenu li.mmenu-selected > a,
.mmenu li.mmenu-selected > span
{
	background: #222;
}
.mmenu li.mmenu-selected > a.mmenu-subopen
{
	background: transparent;
}


/*
	Submenu
		- open link
*/
.mmenu .mbyc a.mmenu-subopen{
	background-color:#428bca;
}
.mmenu .mbyc img, .mmenu .minst img{
	max-width: 100%;
    display: block;
    margin: 0 auto;
}
.mmenu a.mmenu-subopen
{
	border-left: 1px solid #111;
	width: 40px;
	height: 40px;
	padding: 0;
	position: absolute;
	right: 1px;
	top: 0;
	z-index: 2;
	background-color:#d05301;
}
html.mmenu-right .mmenu a.mmenu-subopen
{
	left: 0;
}
.mmenu ul ul a.mmenu-subopen
{
	left: 0;
}
.mmenu a.mmenu-subopen.mmenu-fullsubopen
{
	width: 100%;
}
.mmenu a.mmenu-subopen + a,
.mmenu a.mmenu-subopen + span
{
	padding-left: 60px;
}


/*
	Submenu
		- close link
*/
.mmenu .mbyc a.mmenu-subclose{
	background-color:#428bca;
}
.mmenu a.mmenu-subclose
{
	background: #d05301;
    text-indent: 75px;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-top: -10px;
    position: relative;
    text-align: center;
    padding-left: 0;
    color: #fff;
	text-shadow: 0 1px 2px rgba( 0, 0, 0, 0.5 );
}


/*
	Submenu
		- vertical
*/
.mmenu.mmenu-vertical ul ul
{
	display: none;
	padding: 0 10px 10px 10px;
}
.mmenu.mmenu-vertical li.mmenu-opened > ul
{
	display: block;
}
.mmenu.mmenu-vertical ul ul li:last-child
{
	border-bottom-width: 0;
}


/*
	Submenu
		- horizontal
*/
.mmenu.mmenu-horizontal
{
	width: 200%;
}
.mmenu.mmenu-horizontal ul
{
	width: 50%;
	margin-right: 0%;
	float: right;

	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;

	-webkit-transition: margin-right 0.5s ease;
	-moz-transition: margin-right 0.5s ease;
	transition: margin-right 0.5s ease;
}
.mmenu.mmenu-horizontal ul.mmenu-submenu
{
	display: none;
}
.mmenu.mmenu-horizontal ul.mmenu-submenu.mmenu-opened
{
	display: block;
}
.mmenu.mmenu-horizontal ul.mmenu-subopened
{
	margin-right: -50%;
	height: 100%;
	overflow: hidden;
}


/*
	Labels
*/
.mmenu li.mmenu-label
{
	background: #444;
	font-size: 11px;
	color: #ccc;
	text-transform: uppercase;
	text-indent: 20px;
	line-height: 20px;
}


/*
	Counters
*/
.mmenu em.mmenu-counter
{
	border-radius: 5px;
	background: #555;
	box-shadow: 0 0 2px rgba( 0, 0, 0, 0.3 );
	font-size: 11px;
	font-weight: bold;
	font-style: normal;
	color: #999;
	text-indent: 0;
	text-align: center;
	text-shadow: none;
	line-height: 22px;
	display: block;
	min-width: 20px;
	height: 20px;
	padding: 0;
	position: absolute;
	left: 105px;
	top: 10px;
}
.mmenu em.mmenu-counter + a.mmenu-subopen
{
	padding-right: 35px;
}
.mmenu em.mmenu-counter + a.mmenu-subopen + a,
.mmenu em.mmenu-counter + a.mmenu-subopen + span
{
	padding-left: 80px;
}
.mmenu em.mmenu-counter + a.mmenu-fullsubopen + a,
.mmenu em.mmenu-counter + a.mmenu-fullsubopen + span
{
	padding-left: 70px;
}


/* at right or subsub */
html.mmenu-right .mmenu em.mmenu-counter,
.mmenu.mmenu-vertical ul ul em.mmenu-counter
{
	left: 40px;
}

/*
	Arrows
*/
.mmenu a.mmenu-subopen:after,
.mmenu a.mmenu-subclose:before
{
	font-family: FontAwesome;
    content: "\f067";
	position: absolute;
	color:#ffffff;
}
.mmenu a.mmenu-subopen:after
{
	left: -3px;
	/*top: 16px;
	-webkit-transform: rotate( 225deg );
	transform: rotate( 225deg );*/
}
.mmenu a.mmenu-subclose:before
{
	left: 80px;
	/*top: 25px;*/
	-webkit-transform: rotate( 178deg );
	transform: rotate( 178deg );
}
.mmenu.mmenu-vertical li.mmenu-opened > a.mmenu-subopen:after
{
	-webkit-transform: rotate( 45deg );
	transform: rotate( 45deg );
}
html.mmenu-right .mmenu a.mmenu-subclose:before
{
	right: 85px;
}


/*
	Menu
		- positioning and sizing for larger screens
*/
@media all and (min-width: 500px) {
	.mmenu.mmenu-vertical
	{
		width: 500px;
	}
	html.mmenu-right .mmenu.mmenu-vertical
	{
		right: auto;
		left: 0;
	}

	.mmenu.mmenu-horizontal
	{
		width: 1000px;
	}
	html.mmenu-right .mmenu.mmenu-horizontal
	{
		right: auto;
		left: -500px;
	}

	html.mmenu-left.mmenu-opening .mmenu-page,
	html.mmenu-left.mmenu-opening #mmenu-blocker
	{
		right: 500px;
	}
	html.mmenu-right.mmenu-opening .mmenu-page,
	html.mmenu-right.mmenu-opening #mmenu-blocker
	{
		left: 500px;
	}
}